{
  lib,
  config,
  inputs,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.nixGL;
in
{
  options.marleyos.nixGL.enable = mkEnableOption "nixGL";

  config = mkIf cfg.enable {
    nixGL = {
      inherit (inputs.nixgl) packages;
      defaultWrapper = "nvidia";
    };
  };
}
