{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.rbw;
in
{
  options.marleyos.programs.rbw.enable = mkEnableOption "rbw";

  config = mkIf cfg.enable {
    programs.rbw = {
      enable = true;

      settings.email = "bitwarden@punkfairie.net";
    };
  };
}
